// ServerSockert.cpp : 实现文件
//

#include "stdafx.h"
#include "YAServer.h"
#include "ServerSockert.h"
#include "YAServerDlg.h"

// CServerSockert

CServerSockert::CServerSockert( CYAServerDlg* pDlg )
{
	m_pDlg = pDlg;
}

CServerSockert::~CServerSockert()
{
}

void CServerSockert::OnAccept( int nErrorCode )
{
	CAsyncSocket::OnAccept(nErrorCode);
	m_pDlg->parse_accept();
}

// CServerSockert 成员函数

IMPLEMENT_DYNAMIC(CServerSockert, CAsyncSocket);